Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class SOMType

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.type.SOMType

Direct Known Subclasses:
  SOMElementalType, SOMUnresolvedType, SOMUserDefinedType

public class SOMType
extends SOMObject

<anyType> Base class for all SOM type objects, including complexType and simpleType. All primitive, derived, and user defined types within the SOM are extended from SOMType.

SOMType acts as a factory for all immutable schema types.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static PrimitiveAnyURI` | `ANYURI`
`static PrimitiveBase64Binary` | `BASE64BINARY`
`static PrimitiveBinary` | `BINARY` Deprecated. 3/16/2001
`static PrimitiveBoolean` | `BOOLEAN`
`static DerivedByte` | `BYTE`
`static DerivedCDATA` | `CDATA` Deprecated. 3/16/2001
`static DerivedCentury` | `CENTURY` Deprecated. 3/16/2001
`static PrimitiveDate` | `DATE`
`static PrimitiveDateTime` | `DATETIME`
`static PrimitiveDecimal` | `DECIMAL`
`static PrimitiveDouble` | `DOUBLE`
`static PrimitiveDuration` | `DURATION`
`static DerivedENTITIES` | `ENTITIES` deprecated 3/16/2001 replaced by PrimitiveDate
`static DerivedENTITY` | `ENTITY`
`static PrimitiveFloat` | `FLOAT`
`static PrimitiveGDay` | `GDAY`
`static PrimitiveGMonth` | `GMONTH`
`static PrimitiveGMonthDay` | `GMONTHDAY`
`static PrimitiveGYear` | `GYEAR`
`static PrimitiveGYearMonth` | `GYEARMONTH`
`static PrimitiveHexBinary` | `HEXBINARY`
`static DerivedID` | `ID`
`static DerivedIDREF` | `IDREF`
`static DerivedIDREFS` | `IDREFS`
`static DerivedInt` | `INT`
`static DerivedInteger` | `INTEGER`
`static DerivedLanguage` | `LANGUAGE`
`static DerivedLong` | `LONG`
`static DerivedMonth` | `MONTH` Deprecated. 3/16/2001
`static DerivedName` | `NAME`
`static DerivedNCName` | `NCNAME`
`static DerivedNegativeInteger` | `NEGATIVEINTEGER`
`static DerivedNMTOKEN` | `NMTOKEN`
`static DerivedNMTOKENS` | `NMTOKENS`
`static DerivedNonNegativeInteger` | `NONNEGATIVEINTEGER`
`static DerivedNonPositiveInteger` | `NONPOSITIVEINTEGER`
`static DerivedNormalizedString` | `NORMALIZEDSTRING`
`static PrimitiveNOTATION` | `NOTATION`
`static PrimitiveNumber` | `NUMBER` Deprecated. 5/2/2001
`static DerivedPositiveInteger` | `POSITIVEINTEGER`
`static PrimitiveQName` | `QNAME`
`static DerivedRecurringDate` | `RECURRINGDATE` Deprecated. 3/16/2001
`static DerivedRecurringDay` | `RECURRINGDAY` Deprecated. 3/16/2001
`static PrimitiveRecurringDuration` | `RECURRINGDURATION` Deprecated. 3/16/2001
`static DerivedShort` | `SHORT`
`static PrimitiveString` | `STRING`
`static PrimitiveTime` | `TIME`
`static PrimitiveTimeDuration` | `TIMEDURATION`
`static DerivedTimeInstant` | `TIMEINSTANT` Deprecated. 3/16/2001
`static DerivedTimePeriod` | `TIMEPERIOD` Deprecated. 3/16/2001
`static DerivedToken` | `TOKEN`
`static DerivedUnsignedByte` | `UNSIGNEDBYTE`
`static DerivedUnsignedInt` | `UNSIGNEDINT`
`static DerivedUnsignedLong` | `UNSIGNEDLONG`
`static DerivedUnsignedShort` | `UNSIGNEDSHORT`
`static PrimitiveUriReference` | `URIREFERENCE` Deprecated. 3/16/2001
`static DerivedYear` | `YEAR` Deprecated. 3/16/2001

Constructor Summary
`SOMType()`

Method Summary
`java.util.Vector` | `getAllowedFacets()` By default, all sub-classes of SOMType do not allow facets (restrictions).
`java.lang.String` | `getID()` <xsd:anyType>
`static SOMType` | `getType(java.lang.String id)` getType is a factory style method that returns a reference to an instance of a predefined immutable type (primitive or derived).
`boolean` | `isElementalType()` returns true unless overridden by a subclass
`boolean` | `isUserDefinedType()` returns false unless overridden by a subclass
`void` | `toXML(java.io.Writer rtn, int indent)`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BYTE

    public static final DerivedByte BYTE

### CDATA

    public static final DerivedCDATA CDATA

  Deprecated. 3/16/2001

### CENTURY

    public static final DerivedCentury CENTURY

  Deprecated. 3/16/2001

### ENTITIES

    public static final DerivedENTITIES ENTITIES

  deprecated 3/16/2001 replaced by PrimitiveDate

### ENTITY

    public static final DerivedENTITY ENTITY

### ID

    public static final DerivedID ID

### IDREF

    public static final DerivedIDREF IDREF

### IDREFS

    public static final DerivedIDREFS IDREFS

### INT

    public static final DerivedInt INT

### INTEGER

    public static final DerivedInteger INTEGER

### LANGUAGE

    public static final DerivedLanguage LANGUAGE

### LONG

    public static final DerivedLong LONG

### MONTH

    public static final DerivedMonth MONTH

  Deprecated. 3/16/2001

### NCNAME

    public static final DerivedNCName NCNAME

### NMTOKEN

    public static final DerivedNMTOKEN NMTOKEN

### NMTOKENS

    public static final DerivedNMTOKENS NMTOKENS

### NAME

    public static final DerivedName NAME

### NEGATIVEINTEGER

    public static final DerivedNegativeInteger NEGATIVEINTEGER

### NONNEGATIVEINTEGER

    public static final DerivedNonNegativeInteger NONNEGATIVEINTEGER

### NONPOSITIVEINTEGER

    public static final DerivedNonPositiveInteger NONPOSITIVEINTEGER

### NORMALIZEDSTRING

    public static final DerivedNormalizedString NORMALIZEDSTRING

### POSITIVEINTEGER

    public static final DerivedPositiveInteger POSITIVEINTEGER

### RECURRINGDATE

    public static final DerivedRecurringDate RECURRINGDATE

  Deprecated. 3/16/2001

### RECURRINGDAY

    public static final DerivedRecurringDay RECURRINGDAY

  Deprecated. 3/16/2001

### SHORT

    public static final DerivedShort SHORT

### TIMEINSTANT

    public static final DerivedTimeInstant TIMEINSTANT

  Deprecated. 3/16/2001

### TIMEPERIOD

    public static final DerivedTimePeriod TIMEPERIOD

  Deprecated. 3/16/2001

### TOKEN

    public static final DerivedToken TOKEN

### UNSIGNEDBYTE

    public static final DerivedUnsignedByte UNSIGNEDBYTE

### UNSIGNEDINT

    public static final DerivedUnsignedInt UNSIGNEDINT

### UNSIGNEDLONG

    public static final DerivedUnsignedLong UNSIGNEDLONG

### UNSIGNEDSHORT

    public static final DerivedUnsignedShort UNSIGNEDSHORT

### YEAR

    public static final DerivedYear YEAR

  Deprecated. 3/16/2001

### ANYURI

    public static final PrimitiveAnyURI ANYURI

### BASE64BINARY

    public static final PrimitiveBase64Binary BASE64BINARY

### BINARY

    public static final PrimitiveBinary BINARY

  Deprecated. 3/16/2001

### BOOLEAN

    public static final PrimitiveBoolean BOOLEAN

### DATE

    public static final PrimitiveDate DATE

### DATETIME

    public static final PrimitiveDateTime DATETIME

### DECIMAL

    public static final PrimitiveDecimal DECIMAL

### DOUBLE

    public static final PrimitiveDouble DOUBLE

### DURATION

    public static final PrimitiveDuration DURATION

### FLOAT

    public static final PrimitiveFloat FLOAT

### GDAY

    public static final PrimitiveGDay GDAY

### GMONTH

    public static final PrimitiveGMonth GMONTH

### GMONTHDAY

    public static final PrimitiveGMonthDay GMONTHDAY

### GYEAR

    public static final PrimitiveGYear GYEAR

### GYEARMONTH

    public static final PrimitiveGYearMonth GYEARMONTH

### HEXBINARY

    public static final PrimitiveHexBinary HEXBINARY

### NOTATION

    public static final PrimitiveNOTATION NOTATION

### NUMBER

    public static final PrimitiveNumber NUMBER

  Deprecated. 5/2/2001

### QNAME

    public static final PrimitiveQName QNAME

### RECURRINGDURATION

    public static final PrimitiveRecurringDuration RECURRINGDURATION

  Deprecated. 3/16/2001

### STRING

    public static final PrimitiveString STRING

### TIME

    public static final PrimitiveTime TIME

### TIMEDURATION

    public static final PrimitiveTimeDuration TIMEDURATION

### URIREFERENCE

    public static final PrimitiveUriReference URIREFERENCE

  Deprecated. 3/16/2001

Constructor Detail

### SOMType

    public SOMType()

Method Detail

### getID

    public java.lang.String getID()

  <xsd:anyType>

  Overrides:
    getID in class SOMObject

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMObject

### getAllowedFacets

    public java.util.Vector getAllowedFacets()

  By default, all sub-classes of SOMType do not allow facets (restrictions). For types that do allow facets, the getAllowedFacets() method returns an Enumeration of String objects for the names of allowable facets.

  Returns:
    Vector of String objects for the names of allowable facets or null if facets are not allowed for this type.

### isElementalType

    public boolean isElementalType()

  returns true unless overridden by a subclass

  isElementalType is overridden by SOMUserDefinedType

  Returns:
    returns false

### isUserDefinedType

    public boolean isUserDefinedType()

  returns false unless overridden by a subclass

  isUserDefinedType is overridden by SOMUserDefinedType

  Returns:
    returns false

### getType

    public static SOMType getType(java.lang.String id)

  getType is a factory style method that returns a reference to an instance of a predefined immutable type (primitive or derived). These are the same instances that can be accessed directly by use of the predefined SOMType constants. For example, SOMType.BYTE is the same instance of DerivedByte as SOMType.getType("byte").

  SOMType.getType("string") returns a reference to the instance of PrimitiveString.

  If id is prefixed with xsd:, id will truncated to the unqualified name (removing "xsd:").

  Parameters:
    `id` - the lookup key - unqualified type name
  Returns:
    the value to which the key is mapped in this SOMType table; null if the key is not mapped to any value in this table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)